export const AppReducer = (state, action) => {
    switch (action.type) {
        case "SET_TITLE":
            document.title = action.payload;
            return {
                ...state,
                title: action.payload
            }
        case 'SET_SELECTED_MENU':
            return {
                ...state,
                selectedMenu: action.payload
            }
        case 'SET_PAGE_DATA':
            return {
                ...state,
                pageData: {...state.pageData, ...{[action.pageId]: action.payload}}
            }
        default:
            return state
    }
}