import React from "react";
import {FlowRouter} from 'meteor/ostrio:flow-router-extra';
import {i18n} from 'meteor/universe:i18n';

const EditButton = ({editRoute, editRouteParams}) => {
    return <a href={"#"}
              className={"edit-button"}
              style={{marginLeft: '5px'}}
              onClick={() => {
                  FlowRouter.go(editRoute, editRouteParams)
              }}
    ><i className="fa fa-pencil fa-2x" title={i18n.__('messages.save')}> </i></a>
};

export default EditButton;